groovy.json.internal

## Enum FastStringUtils.StringImplementation

- java.lang.Object
- - java.lang.Enum<FastStringUtils.StringImplementation>
  - - groovy.json.internal.FastStringUtils.StringImplementation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FastStringUtils.StringImplementation>

Enclosing class:
  FastStringUtils

    protected static enum FastStringUtils.StringImplementation
    extends java.lang.Enum<FastStringUtils.StringImplementation>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DIRECT_CHARS` JDK 7 drops offset and count so there is special handling for later version of JDK 7.
`OFFSET` JDK 4 and JDK 5 have offset and count fields.
`UNKNOWN`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract java.lang.String` `noCopyStringFromChars(char[] chars)`
`abstract char[]` `toCharArray(java.lang.String string)`
`static FastStringUtils.StringImplementation` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FastStringUtils.StringImplementation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DIRECT_CHARS

    public static final FastStringUtils.StringImplementation DIRECT_CHARS

JDK 7 drops offset and count so there is special handling for later version of JDK 7.

#### OFFSET

    public static final FastStringUtils.StringImplementation OFFSET

JDK 4 and JDK 5 have offset and count fields.

#### UNKNOWN

    public static final FastStringUtils.StringImplementation UNKNOWN

### Method Detail

#### values

    public static FastStringUtils.StringImplementation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FastStringUtils.StringImplementation c : FastStringUtils.StringImplementation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FastStringUtils.StringImplementation valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### toCharArray

    public abstract char[] toCharArray(java.lang.String string)

#### noCopyStringFromChars

    public abstract java.lang.String noCopyStringFromChars(char[] chars)